---
title: Retrieve current user
url: https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/operations/getcurrentuser/
image: https://developers.wpengine.com/og/docs/managed-hosting-platform/api/reference/operations/getcurrentuser.png
---

# Retrieve current user

GET

/user

Select code sample

```sh
curl --request GET \
  --url https://api.wpengineapi.com/v1/user \
  --header 'Authorization: Basic <credentials>'
```

-

Returns the authenticated user, identified by the credentials used for the request. API credentials have the same access levels as the user they belong to.

## Authorizations

- **[basicAuth](https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/#basicauth)**

## Responses

### 200

Returns a `User` object.

Media typeapplication/json

object

**id**

required

string

**first_name**

string

**last_name**

string

**email**

required

string

**phone_number**

string

nullable

#### Example

```json
{
  "id": "fd8e24a5-1f16-4b80-af5f-d748bcc9e64d",
  "first_name": "Joe",
  "last_name": "Smith",
  "email": "joe@gmail.com",
  "phone_number": "123456789"
}
```

### 401

Authentication Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Bad Credentials"
}
```

### 429

Too many requests

### 500

Internal Server Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

#### Example

```json
{
  "message": "An unexpected error occurred, please try again in a few minutes"
}
```

### 503

Service unavailable

## Was this helpful?

Thanks for the feedback!

```json
{"@context":"https://schema.org","@graph":[{"@type":"WebSite","@id":"https://developers.wpengine.com/#website","name":"WP Engine Product Documentation","url":"https://developers.wpengine.com/","description":"Resources for developing, deploying, and scaling on WP Engine.","inLanguage":"en-US","keywords":["API documentation","product documentation","headless WordPress","managed WordPress hosting"],"publisher":{"@id":"https://wpengine.com/#organization"}}]}
```
